/*
 * Copyright (C), 2002-2015, 江苏三六五网络股份有限公司
 * FileName: TfhStatusEnum.java
 * Author:   Administrator
 * Date:     2015年2月6日 上午10:16:22
 * Description: //模块目的、功能描述      
 * History: //修改记录
 * <author>      <time>      <version>    <desc>
 * 修改人姓名             修改时间            版本号                  描述
 */
package com.house365.rest.context;

/**
 * 淘房汇列表状态<br>
 * 〈功能详细描述〉
 *
 * @author jiangzhou
 * @version [版本号, 2015年2月6日]
 * @see [相关类/方法]（可选）
 * @since [产品/模块版本] （可选）
 */
public enum TfhStatusEnum {

    // 活动状态 (1 进行中 2待激活 3已结束)  
    //显示状态  (4 前台显示 5 前台不显示)
    ACTIVITY_ING(1, "进行中"), 
    ACTIVITY_WAIT(2, "待激活"), 
    ACTIVITY_END(3, "已结束"),
    ACTIVITY_VIEW(4,"前台显示"),
    ACTIVITY_NOT_VIEW(5,"前台不显示");
    //枚举Code
    private int code;

    //枚举值
    private String codeName;

    private TfhStatusEnum(int code, String codeName) {
        this.code = code;
        this.codeName = codeName;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getCodeName() {
        return codeName;
    }

    public void setCodeName(String codeName) {
        this.codeName = codeName;
    }

    public static final TfhStatusEnum getKey(int code) {
        for (TfhStatusEnum e : TfhStatusEnum.values()) {
            if (e.getCode() == code) {
                return e;
            }
        }
        return null;
    }
}
